package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyVoiceConfig;
import com.fs.company.vo.CompanyVoiceConfigListVO;

/**
 * 呼叫频率配置Service接口
 * 
 * @author fs
 * @date 2021-11-13
 */
public interface ICompanyVoiceConfigService 
{
    /**
     * 查询呼叫频率配置
     * 
     * @param configId 呼叫频率配置ID
     * @return 呼叫频率配置
     */
    public CompanyVoiceConfig selectCompanyVoiceConfigById(Long configId);

    /**
     * 查询呼叫频率配置列表
     * 
     * @param companyVoiceConfig 呼叫频率配置
     * @return 呼叫频率配置集合
     */
    public List<CompanyVoiceConfig> selectCompanyVoiceConfigList(CompanyVoiceConfig companyVoiceConfig);

    /**
     * 新增呼叫频率配置
     * 
     * @param companyVoiceConfig 呼叫频率配置
     * @return 结果
     */
    public int insertCompanyVoiceConfig(CompanyVoiceConfig companyVoiceConfig);

    /**
     * 修改呼叫频率配置
     * 
     * @param companyVoiceConfig 呼叫频率配置
     * @return 结果
     */
    public int updateCompanyVoiceConfig(CompanyVoiceConfig companyVoiceConfig);

    /**
     * 批量删除呼叫频率配置
     * 
     * @param configIds 需要删除的呼叫频率配置ID
     * @return 结果
     */
    public int deleteCompanyVoiceConfigByIds(Long[] configIds);

    /**
     * 删除呼叫频率配置信息
     * 
     * @param configId 呼叫频率配置ID
     * @return 结果
     */
    public int deleteCompanyVoiceConfigById(Long configId);

    CompanyVoiceConfig selectCompanyVoiceConfigByCompanyId(Long companyId);

    List<CompanyVoiceConfigListVO> selectCompanyVoiceConfigListVO(CompanyVoiceConfig companyVoiceConfig);
}
